org.apache.jmeter.protocol.http.parser

## Class CSSParseExceptionCallback

- java.lang.Object
- - org.apache.jmeter.protocol.http.parser.CSSParseExceptionCallback

All Implemented Interfaces:
  com.helger.commons.callback.exception.IExceptionCallback<com.helger.css.parser.ParseException>, com.helger.commons.callback.ICallback, com.helger.css.handler.ICSSParseExceptionCallback, Serializable

    public class CSSParseExceptionCallback
    extends Object
    implements com.helger.css.handler.ICSSParseExceptionCallback

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CSSParseExceptionCallback()` Deprecated. - only for use from unit test code
`CSSParseExceptionCallback(URL baseUrl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onException(com.helger.css.parser.ParseException ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSSParseExceptionCallback

    public CSSParseExceptionCallback(URL baseUrl)

#### CSSParseExceptionCallback

    @Deprecated
    public CSSParseExceptionCallback()

Deprecated. - only for use from unit test code

### Method Detail

#### onException

    public void onException(com.helger.css.parser.ParseException ex)

Specified by:
  `onException` in interface `com.helger.commons.callback.exception.IExceptionCallback<com.helger.css.parser.ParseException>`